## org.apache.xerces.impl.dv.xs
Class DateTimeDV

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.xs.TypeValidator
            |
            +--org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
                  |
                  +--org.apache.xerces.impl.dv.xs.DateTimeDV

Direct Known Subclasses:
  DateDV

public class DateTimeDV
extends AbstractDateTimeDV

Validator for <dateTime> datatype (W3C Schema Datatypes)

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DateTimeDV.java 937741 2010-04-25 04:25:46Z mrglavas $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystem Inc.

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`datatypeFactory, DAY, MONTH, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`DateTimeDV()`

Method Summary
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`protected javax.xml.datatype.XMLGregorianCalendar` `getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)`
`protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData` `parse(java.lang.String str)` Parses, validates and computes normalized version of dateTime object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV

`append, append, append2, compare, compareDates, compareOrder, dateToString, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getDuration, getFractionalSecondsAsBigDecimal, getTime, getTimeZone, getYearMonth, indexOf, isIdentical, isNextCharUTCSign, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseSecond, parseTimeZone, resetDateObj, saveUnnormalized, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTimeDV

    public DateTimeDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `TypeValidator`

### parse

    protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData parse(java.lang.String str)
                                                                          throws SchemaDateTimeException

  Parses, validates and computes normalized version of dateTime object
  Parameters:
    `str` - The lexical representation of dateTime object CCYY-MM-DDThh:mm:ss.sss with possible time zone Z or (-),(+)hh:mm
  Returns:
    normalized dateTime representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### getXMLGregorianCalendar

    protected javax.xml.datatype.XMLGregorianCalendar getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Overrides:
    `getXMLGregorianCalendar` in class `AbstractDateTimeDV`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.